io.vertx.rxjava.ext.sql

## Class SQLRowStream

- java.lang.Object
- - io.vertx.rxjava.ext.sql.SQLRowStream

- All Implemented Interfaces:
    ReadStream<JsonArray>, StreamBase

      public class SQLRowStream
      extends Object
      implements ReadStream<JsonArray>

  A ReadStream of Rows from the underlying RDBMS. This class follows the ReadStream semantics and will automatically close the underlying resources if all returned rows are returned. For cases where the results are ignored before the full processing of the returned rows is complete the close method **MUST** be called in order to release underlying resources. The interface is minimal in order to support all SQL clients not just JDBC.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<SQLRowStream>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLRowStream(SQLRowStream delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the stream/underlying cursor(s).
    `void` | `close(Handler<AsyncResult<Void>> handler)` Closes the stream/underlying cursor(s).
    `rx.Observable<Void>` | `closeObservable()` Deprecated. use `rxClose()` instead
    `int` | `column(String name)` Will convert the column name to the json array index.
    `ReadStream<JsonArray>` | `endHandler(Handler<Void> arg0)` Set an end handler.
    `ReadStream<JsonArray>` | `exceptionHandler(Handler<Throwable> arg0)` Set an exception handler on the read stream.
    `SQLRowStream` | `getDelegate()`
    `ReadStream<JsonArray>` | `handler(Handler<JsonArray> arg0)` Set a data handler.
    `void` | `moreResults()` Request for more results if available
    `static SQLRowStream` | `newInstance(SQLRowStream arg)`
    `ReadStream<JsonArray>` | `pause()` Pause the `ReadSupport`.
    `SQLRowStream` | `resultSetClosedHandler(Handler<Void> handler)` Event handler when a resultset is closed.
    `ReadStream<JsonArray>` | `resume()` Resume reading.
    `rx.Single<Void>` | `rxClose()` Closes the stream/underlying cursor(s).
    `rx.Observable<JsonArray>` | `toObservable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<SQLRowStream> __TYPE_ARG

  - ### Constructor Detail

    - #### SQLRowStream

          public SQLRowStream(SQLRowStream delegate)

  - ### Method Detail

    - #### getDelegate

          public SQLRowStream getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<JsonArray>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public rx.Observable<JsonArray> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<JsonArray>`

    - #### exceptionHandler

          public ReadStream<JsonArray> exceptionHandler(Handler<Throwable> arg0)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<JsonArray>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `arg0` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public ReadStream<JsonArray> handler(Handler<JsonArray> arg0)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<JsonArray>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public ReadStream<JsonArray> pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<JsonArray>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public ReadStream<JsonArray> resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<JsonArray>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public ReadStream<JsonArray> endHandler(Handler<Void> arg0)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<JsonArray>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### column

          public int column(String name)

      Will convert the column name to the json array index.
      Parameters:
        `name` - the column name
      Returns:
        the json array index

    - #### resultSetClosedHandler

          public SQLRowStream resultSetClosedHandler(Handler<Void> handler)

      Event handler when a resultset is closed. This is useful to request for more results.
      Parameters:
        `handler` -
      Returns:

    - #### moreResults

          public void moreResults()

      Request for more results if available

    - #### close

          public void close()

      Closes the stream/underlying cursor(s). The actual close happens asynchronously.

    - #### close

          public void close(Handler<AsyncResult<Void>> handler)

      Closes the stream/underlying cursor(s). The actual close happens asynchronously.
      Parameters:
        `handler` - called when the stream/underlying cursor(s) is(are) closed

    - #### closeObservable

          @Deprecated
          public rx.Observable<Void> closeObservable()

      Deprecated. use `rxClose()` instead
      Closes the stream/underlying cursor(s). The actual close happens asynchronously.
      Returns:

    - #### rxClose

          public rx.Single<Void> rxClose()

      Closes the stream/underlying cursor(s). The actual close happens asynchronously.
      Returns:

    - #### newInstance

          public static SQLRowStream newInstance(SQLRowStream arg)

Copyright © 2017. All rights reserved.